## schrobuffer

schrobuffer

## Synopsis

                        SchroBuffer;
    SchroBuffer *       schro_buffer_new                    (void);
    SchroBuffer *       schro_buffer_new_and_alloc          (int size);
    SchroBuffer *       schro_buffer_new_with_data          (void *data,
                                                             int size);
    SchroBuffer *       schro_buffer_new_subbuffer          (SchroBuffer *buffer,
                                                             int offset,
                                                             int length);
    SchroBuffer *       schro_buffer_ref                    (SchroBuffer *buffer);
    void                schro_buffer_unref                  (SchroBuffer *buffer);
    SchroBuffer *       schro_buffer_dup                    (SchroBuffer *buffer);

## Description

## Details

### SchroBuffer

    typedef struct {
    } SchroBuffer;

### schro_buffer_new ()

    SchroBuffer *       schro_buffer_new                    (void);

Returns : |

### schro_buffer_new_and_alloc ()

    SchroBuffer *       schro_buffer_new_and_alloc          (int size);

`size` : |
Returns : |

### schro_buffer_new_with_data ()

    SchroBuffer *       schro_buffer_new_with_data          (void *data,
                                                             int size);

`data` : |
`size` : |
Returns : |

### schro_buffer_new_subbuffer ()

    SchroBuffer *       schro_buffer_new_subbuffer          (SchroBuffer *buffer,
                                                             int offset,
                                                             int length);

`buffer` : |
`offset` : |
`length` : |
Returns : |

### schro_buffer_ref ()

    SchroBuffer *       schro_buffer_ref                    (SchroBuffer *buffer);

`buffer` : |
Returns : |

### schro_buffer_unref ()

    void                schro_buffer_unref                  (SchroBuffer *buffer);

`buffer` : |

### schro_buffer_dup ()

    SchroBuffer *       schro_buffer_dup                    (SchroBuffer *buffer);

`buffer` : |
Returns : |